PluginInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.PluginInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class PluginInfo

    java.lang.Object
      org.hyperic.hq.product.PluginInfo

All Implemented Interfaces:
  java.io.Serializable

    public class PluginInfo

extends java.lang.Object
implements java.io.Serializable

This class is for use by plugin managers to maintain information about a plugin in order to remove/update a plugin jar.

See Also:
  Serialized Form

Field Summary
`int` | `deploymentOrder`
`java.lang.String` | `jar`
`java.lang.String` | `md5`
`long` | `mtime`
`java.lang.String` | `name`
`java.lang.String` | `product`
`java.lang.ClassLoader` | `resourceLoader`

Constructor Summary
`PluginInfo(ProductPlugin plugin, java.lang.String jar)`
`PluginInfo(java.lang.String name, PluginInfo info)`

Method Summary
`boolean` | `matches(PluginInfo info)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mtime

    public long mtime

### jar

    public java.lang.String jar

### md5

    public java.lang.String md5

### name

    public java.lang.String name

### product

    public java.lang.String product

### deploymentOrder

    public int deploymentOrder

### resourceLoader

    public transient java.lang.ClassLoader resourceLoader

Constructor Detail

### PluginInfo

    public PluginInfo(ProductPlugin plugin,
                      java.lang.String jar)

### PluginInfo

    public PluginInfo(java.lang.String name,
                      PluginInfo info)

Method Detail

### matches

    public boolean matches(PluginInfo info)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.